<?

if (!is_numeric($id)) {
  echo '
    <h2>Testovací IP adresy prvků</h2>
    <p>Nebyl zadanán prvek</p>';
  exit;
}  

if (!$akce) {
  $vysledek= pg_query("SELECT name FROM node WHERE id=$id");
  $zaznam=Pg_Fetch_Array($vysledek);
  echo '
  <h2>Testovací IP adresy prvku '.$zaznam[name].'</h2>
  <table border="0" cellspacing="1" bgcolor="#000000" class="tabulka">
    <tr bgcolor="#FFFFAA">
      <strong>
        <td><strong>#</strong></td>
        <td><a href="./index.php?pg=nodes_test.inc&id='.$id.'&order=ip"><strong>IP adresa</strong></a></td>
        <td>&nbsp;</td>
        <td>&nbsp;</td>
    </tr>';
  if (!$order) $order='ip';
  $radek=1;
  $vysledek= pg_query("SELECT idip, ip FROM node_ip WHERE id=$id ORDER BY $order");
  while ($zaznam=Pg_Fetch_Array($vysledek)) {
  echo '
    <tr bgcolor="'.MakeBgcolor($radek).'" valign="top">
        <td>'.$radek++.'</td>
        <td>'.$zaznam[ip].'</td>
        <td><a href="./index.php?pg=nodes_test.inc&akce=edit&id='.$id.'&idip='.$zaznam[idip].'">upravit</a></td>
        <td><a href="./index.php?pg=nodes_test.inc&akce=delete&id='.$id.'&idip='.$zaznam[idip].'">smazat</a></td>
    </tr>';
 }
 echo ' 
 </table>
 <p><a href="./index.php?pg=nodes_test.inc&akce=edit&id='.$id.'">Vložit novou IP adresu</a></p>
 ';
}


 // editace existujiciho nebo noveho zaznamu 
if($akce=='edit') {
   // budeme editovat existujici zaznam?
  if(is_numeric($idip)) {
      $vysledek= pg_query("SELECT * FROM node_ip WHERE idip=$idip");
      $zaznam=Pg_Fetch_Array($vysledek);
      $navakce='update';
  } else $navakce='insert';
echo '
<h2>Editace testovací IP adresy</h2>
<form action="./index.php?pg=nodes_test.inc&akce='.$navakce.'&id='.$id.'" method="post">
  <input type="hidden" name="idip" value="'.$zaznam[idip].'"></p>
  <p>IP adresa<br>
  <input type="text" size="20" name="ip" class="formnotnull" value="'.$zaznam[ip].'"></p>
  <p><input type="submit" value="Vložit" class="tlacitko"></p>

</form>';
}


 // ulozeni
if($akce=='update') {
  @pg_query("UPDATE node_ip SET ip='$ip' WHERE idip=$idip") or $err=true;
 echo '<h2>Aplikace změn</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Změna byla provedena... <a href="./index.php?pg=nodes_test.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // vlozeni
if($akce=='insert') {
  pg_query("INSERT INTO node_ip(id, ip) 
            VALUES($id, '$ip')") or $err=true;
 echo '<h2>Vložení nové IP adresy</h2>';
 if ($err) echo '<p>Nastala chyba... Je nutné zkontrolovat zadávaná data</p>';
 else echo '<p>Vložení bylo provedeno... <a href="./index.php?pg=nodes_test.inc&id='.$id.'">pokračovat zde</a></p>';
}


 // smazani
if($akce=='delete') {
 @pg_query("DELETE FROM node_ip WHERE idip=$idip") or $err=true;
 echo '<h2>Vymazání IP adresy</h2>';
 if ($err) echo '<p>Nastala chyba...  </p>';
 else echo '<p>IP adresa byla smazána...  <a href="./index.php?pg=nodes_test.inc&id='.$id.'">pokračovat zde</a></p>';
}


?>



